Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Interface IPlatform

    public interface IPlatform

Defines the Platform interface that allows BIRT to be run in Eclipse and server environments

Field Summary
`static java.lang.String` | `EXTENSION_POINT_FACTORY_SERVICE`

Method Summary
`java.net.URL` | `asLocalURL(java.net.URL url)`
`java.lang.Object` | `createFactoryObject(java.lang.String factory)`
`java.net.URL` | `find(IBundle bundle, IPlatformPath path)`
`IBundle` | `getBundle(java.lang.String symblicName)`
`java.lang.String` | `getDebugOption(java.lang.String name)`
`IExtensionRegistry` | `getExtensionRegistry()`
`void` | `initializeTracing(java.lang.String pluginName)`

Field Detail

### EXTENSION_POINT_FACTORY_SERVICE

    static final java.lang.String EXTENSION_POINT_FACTORY_SERVICE

See Also:
  Constant Field Values

Method Detail

### getExtensionRegistry

    IExtensionRegistry getExtensionRegistry()

  Returns:
    the global extension registry

### getBundle

    IBundle getBundle(java.lang.String symblicName)

  Parameters:
    `symblicName` -
  Returns:

### find

    java.net.URL find(IBundle bundle,
                      IPlatformPath path)

  Parameters:
    `bundle` -
    `path` -
  Returns:

### asLocalURL

    java.net.URL asLocalURL(java.net.URL url)
                            throws java.io.IOException

  Parameters:
    `url` -
  Returns:
  Throws:
    `java.io.IOException`

### getDebugOption

    java.lang.String getDebugOption(java.lang.String name)

  Parameters:
    `name` -
  Returns:

### initializeTracing

    void initializeTracing(java.lang.String pluginName)

  Parameters:
    `pluginName` -

### createFactoryObject

    java.lang.Object createFactoryObject(java.lang.String factory)

  Parameters:
    `factory` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.